Log from Radicle native CI

Table of contents

Request message

{
  "request": "trigger",
  "version": 1,
  "event_type": "push",
  "repository": {
    "id": "rad:z2ixRGetGtwFtRyXjRgu5fH573wyy",
    "name": "rad_test",
    "description": "hello world",
    "private": false,
    "default_branch": "main",
    "delegates": [
      "did:key:z6MkfWmqiRRFTTo4PHqwQHjdmukFuxRPMbh2VespxWpSUvNm"
    ]
  },
  "pusher": {
    "id": "did:key:z6MkfWmqiRRFTTo4PHqwQHjdmukFuxRPMbh2VespxWpSUvNm",
    "alias": "mog"
  },
  "before": "5bbc8d5ae989654357b45f7fbcee2ef940fa379b",
  "after": "57cc4fc785f87467a5d282092743e74f907682a5",
  "branch": "main",
  "commits": [
    "57cc4fc785f87467a5d282092743e74f907682a5"
  ]
}

.radicle/native.yaml

shell: |
  echo hello >> /tmp/itworked
  date
  echo "<a href=\"https://rldn.net\">rldn.net</a>"

Run: git clone /home/mog/.radicle/storage/z2ixRGetGtwFtRyXjRgu5fH573wyy /mnt/drive_1/state/radicle/reports/http/809b0462-d8c5-42d4-b2fb-a28279e97a59/src

Command arguments:

In directory: /

Exit code: 0

Output (stdout and stderr):

Cloning into '/mnt/drive_1/state/radicle/reports/http/809b0462-d8c5-42d4-b2fb-a28279e97a59/src'...
done.

Run: git config advice.detachedHead false

Command arguments:

In directory: /mnt/drive_1/state/radicle/reports/http/809b0462-d8c5-42d4-b2fb-a28279e97a59/src

Exit code: 0

Run: git checkout 57cc4fc785f87467a5d282092743e74f907682a5

Command arguments:

In directory: /mnt/drive_1/state/radicle/reports/http/809b0462-d8c5-42d4-b2fb-a28279e97a59/src

Exit code: 0

Output (stdout and stderr):

HEAD is now at 57cc4fc add devbox

Run: git show 57cc4fc785f87467a5d282092743e74f907682a5

Command arguments:

In directory: /mnt/drive_1/state/radicle/reports/http/809b0462-d8c5-42d4-b2fb-a28279e97a59/src

Exit code: 0

Output (stdout and stderr):

commit 57cc4fc785f87467a5d282092743e74f907682a5
Author: Matthew O'Gorman <mog@rldn.net>
Date:   Mon Nov 18 04:31:59 2024 -0500

    add devbox

diff --git a/devbox.json b/devbox.json
new file mode 100644
index 0000000..e15913d
--- /dev/null
+++ b/devbox.json
@@ -0,0 +1,14 @@
+{
+  "$schema":  "https://raw.githubusercontent.com/jetify-com/devbox/0.13.4/.schema/devbox.schema.json",
+  "packages": ["elixir@latest"],
+  "shell": {
+    "init_hook": [
+      "echo 'Welcome to devbox!' > /dev/null"
+    ],
+    "scripts": {
+      "test": [
+        "echo \"Error: no test specified\" && exit 1"
+      ]
+    }
+  }
+}
diff --git a/devbox.lock b/devbox.lock
new file mode 100644
index 0000000..9ea6882
--- /dev/null
+++ b/devbox.lock
@@ -0,0 +1,53 @@
+{
+  "lockfile_version": "1",
+  "packages": {
+    "elixir@latest": {
+      "last_modified": "2024-11-03T14:18:04Z",
+      "resolved": "github:NixOS/nixpkgs/4ae2e647537bcdbb82265469442713d066675275#elixir",
+      "source": "devbox-search",
+      "version": "1.17.3",
+      "systems": {
+        "aarch64-darwin": {
+          "outputs": [
+            {
+              "name": "out",
+              "path": "/nix/store/ipydg55fc66y9cjbzvlq2ycvvv12kjhj-elixir-1.17.3",
+              "default": true
+            }
+          ],
+          "store_path": "/nix/store/ipydg55fc66y9cjbzvlq2ycvvv12kjhj-elixir-1.17.3"
+        },
+        "aarch64-linux": {
+          "outputs": [
+            {
+              "name": "out",
+              "path": "/nix/store/s1hy0hmlc7q789qsgrsql5fywzs3l6z2-elixir-1.17.3",
+              "default": true
+            }
+          ],
+          "store_path": "/nix/store/s1hy0hmlc7q789qsgrsql5fywzs3l6z2-elixir-1.17.3"
+        },
+        "x86_64-darwin": {
+          "outputs": [
+            {
+              "name": "out",
+              "path": "/nix/store/7967pxarrs1lw6d3wf2rwh28ksny6w5v-elixir-1.17.3",
+              "default": true
+            }
+          ],
+          "store_path": "/nix/store/7967pxarrs1lw6d3wf2rwh28ksny6w5v-elixir-1.17.3"
+        },
+        "x86_64-linux": {
+          "outputs": [
+            {
+              "name": "out",
+              "path": "/nix/store/54zzjwhzhqj78rhdz5pj9h9z7sand2j7-elixir-1.17.3",
+              "default": true
+            }
+          ],
+          "store_path": "/nix/store/54zzjwhzhqj78rhdz5pj9h9z7sand2j7-elixir-1.17.3"
+        }
+      }
+    }
+  }
+}

Run: timeout 3600 bash -c set -xeuo pipefail echo hello >> /tmp/itworked date echo "<a href=\"https://rldn.net\">rldn.net</a>"

Command arguments:

In directory: /mnt/drive_1/state/radicle/reports/http/809b0462-d8c5-42d4-b2fb-a28279e97a59/src

Exit code: 0

Output (stdout and stderr):

+ echo hello
+ date
Mon Nov 18 04:32:03 AM EST 2024
+ echo '<a href="https://rldn.net">rldn.net</a>'
<a href="https://rldn.net">rldn.net</a>